---
title: MouseEvent.offsetY
slug: Web/API/MouseEvent/offsetY
tags:
  - API
  - Experimental
  - MouseEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}{{SeeCompatTable}}</div>

<p>The <strong><code>offsetY</code></strong> read-only property of the {{domxref("MouseEvent")}} interface provides the offset in the Y coordinate of the mouse pointer between that event and the padding edge of the target node.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>yOffset</em> = <em>instanceOfMouseEvent</em>.offsetY;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>double</code> floating point value. Early versions of the spec defined this as an integer. See the Browser compatibility section for details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-mouseevent-offsety', 'MouseEvent')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.offsetY")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
</ul>
